View Issue Details

IDProjectCategoryView StatusLast Update
0019638LazarusLCLpublic2016-01-09 18:54
ReporterBart BroersmaAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Buildr31414 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0019638: Patch for TDBNavigator: new glyphs for "delete" and "undo"
DescriptionThis patch implements 2 new glyphps for the DBNavigator speedbuttons.
The current glyphs for "delete" and "undo" are (imho) confusing.
Additional InformationThe issue was discussed on the forum: http://forum.lazarus.freepascal.org/index.php/topic,13625.0/topicseen.html
TagsNo tags attached.
Fixed in Revision32029
LazTarget0.99.0
WidgetsetGTK, GTK 2, Win32/Win64, WinCE, Carbon, Cocoa, QT, fpGUI
Attached Files
  • dbnav_images.diff (7,176 bytes)
    Index: lcl/lcl_dbnav_images.lrs
    ===================================================================
    --- lcl/lcl_dbnav_images.lrs	(revision 31414)
    +++ lcl/lcl_dbnav_images.lrs	(working copy)
    @@ -1,41 +1,58 @@
     LazarusResources.Add('dbnavcancel','PNG',[
       #137'PNG'#13#10#26#10#0#0#0#13'IHDR'#0#0#0#16#0#0#0#16#8#6#0#0#0#31#243#255'a'
    -  +#0#0#2'JIDATx^'#165#210'MKTa'#20#7#240's'#159';:w'#198'{G&'#7'!'#169#6#179
    -  +#168'x'#22'!m'#138#202#156','#141#136'jg/j'#190'U4'#161#24'V&'#134'D'#139#214
    -  +#173#164'E'#208#247#8'$'#130#136'VRp'#183'9'#166#142'3'#147#140#19#154#222
    -  +#235'}^N'#15'w'#208'fj\D'#7#254#240#192#195#239#191'9GCD'#248#151#217#236#27
    -  +#12#7#223#188#222#216#2#164#12'<z'#18'W'#161';'#226#222#1#138#204#187#189#209
    -  +'y'#163'e'#187#160#12#235#250#28#18'b'#203#145'Q'#250#23#190#213'OA'#253#17
    -  +#203'z)'#25'K'#174']'#190'z'#196'/('#197#16#12#2#24#6#128'*'#225#201#161#237
    -  +#18#183#167#143#130#166#217#186'Y'#3#213#177#24'TE"'#157#210'c'#237#133#182
    -  +'vR,@'#204#161#231'I'#228#28#180'P'#168'X'#2'`{'#253#131#212#237#238#165#154
    -  +#194#196'2!`E'#192']X'#0'7'#147#17#210#243#166#162#211'o'#165#178#232'G'#12
    -  +'?0'#248#253'a.'#30#142'!>'#129'|'#244'1'#186#253#131#232't'#247#162#151#28
    -  +'B'#28#159#240#223#133#243#23#248'J'#162#205#216'r>'#222#10#187'{'#207#216#28
    -  +#184#195#217#208#8#226#228'3'#196#137'I'#5#159'"'#142#141#163#211#213#131#133
    -  +'s'#29'|'#165#245#172'Qb'#202#183#16'x5'#229'"c&'#203#231'%0'#1'07'#7#144'J'
    -  +#1#8#1'n&+%'#243#204#232#187'i'#183#212#16#248'c$cM'#154#6#4#4#7'`'#12#128's'
    -  +'?'#154'N'#136#244'X'#147#175'v*p'#174'wQ'#208#192#214'Ca'#133#20'nhP'#217
    -  +#237#23#4'kkA'#15#232'v'#174#249#24#173'X'#176'q'#237#166#143#3#10'WY'#22'8K'
    -  +'KP'#248#242'Y'#228'gf'#228#250#183'y0vE!'#24#141#170#146#128#189't'#152#210
    -  +#178#2'uY'#254#170#138#184#6#156't'#26#220'lVH'#143#153#200'X'#205'z:-'#214
    -  +'fS'#16#142#213'AH'#221'A'#160#186#202'^ll'#162#219#5#146#177'z'#148#2#0#165
    -  +#194#25'prE\'#247#225#189#27#251#244#209'U'#255#230'OU'#178#250'u'#22#8'!'
    -  +#160#169#160#16#245#138#254'^'#227#143#142#139#137#213'KW0'#223#210'*'#150'O'
    -  +#156#242'WU'#154#244#193'C'#198#226#254#3#252#251#209'f'#156#223#27'OT'#188
    -  +#131#252#233'3'#137#229#227'''}\)'#11#241'Fc~'#207#190'D'#169#209#20#132#255
    -  +#153'_'#137'Uq'#156#16'Dt'#133#0#0#0#0'IEND'#174'B`'#130
    +  +#0#0#0'+tEXtCreation Time'#0'Do 14 Nov 2002 23:31:44 +0100'#132'P'#28'H'#0#0
    +  +#0#7'tIME'#7#211#2#27#0#20#11#28#218'I'#2#0#0#0#9'pHYs'#0#0#11#18#0#0#11#18#1
    +  +#210#221'~'#252#0#0#0#4'gAMA'#0#0#177#143#11#252'a'#5#0#0#2'QIDATx'#218#197
    +  +#147']H'#147'Q'#24#199#255#239#215't'#239#154#179#141#28#226#214#183'Ae'#144
    +  +'+'#177'ODb'#221'xQ'#208#197#232#170#15#130#132#141#160'hQA'#226#133#23'EH'
    +  +#24'HV'#212'E'#16'4'#187'1'#7#21'd'#133'BE0'#179'i'#243'+j'#189#174#218'r.7'
    +  +#183#249#238#235'}'#223#206#6#14#140#168#155#162#7#14#156#231#156#231#255'{'
    +  +#158#243#156's'#128#255'm'#212'ow'#173'O+ '#5#207'i+'#141#251'KXV?'#19#140
    +  +#248'8'#181#186'7'#251#160#233#226#159#1#7#135#182'-3'#136'=mG'#182#27#179#12
    +  +' '#196#128#151'!`t('#140'Y'#143#183#19'}VG>'#140#249#165#248#208'd'#205'j'
    +  +#147#244#172#203#177#213#208';'#9#12'O'#3#129'8'#144'H'#3#244'R'#13'dVU'''#27
    +  +#247#6#229#241#187#131'lApb'#172'e'#9'_R'#155#8'|'#180'A'#202'0'#218#178'h'
    +  +#247#181#230':'#157'k'#4'`i'#146'u'#240']zJ'#152'yB'#201#20'_n'#174'j0l^'#203
    +  +#196'<'#3'MDy'#163#0#216#189#146#186'`'#219#181#138'ut'#250#157'P8'#213#213
    +  +#163'['#214#247#251#1'^'#5#244#186'='#129'x'#142#177#195#213#232'VHl'#194#214
    +  +#127#146#211#234#218#213#166#21';E'#226#211'y'#192#183'DJX'#174#7'jk'#204#231
    +  +'7l2'#157#210#241'4r$'#250#181'o*7'''#177#206't'#151#197#189'p'#186#172#171
    +  +#225'J'#244'S'#192#195'i4'#250#188'_'#168#224'C8'#229#165'd'#172'9P_'#205'S'
    +  +#138#132'a'#210',ER'#240'f"t_'#186'^'#239#250#185'ER26J'#151#232',X'#168#128
    +  +#146'$op.'#7'5G'#230#20#131#170'2'#224#177#231'= &+'#152#230#193#30#216#253
    +  +#135#23#1#178'x'#155#12'O'#127'.'#2'8'#182't'#246#161'/'#2#19#17'rt>;`'#183
    +  +#174'C'#235#241#198'=m'#199','#251'6'#154#168'[pF'#202#138#4#154#22'e)5^'#4
    +  +#136#230#238'N!N'#197'K'#201#165'rd$'#8'`^'#6'|B'#20'7'#221#227#226'DH'#188
    +  +#131#203#134#185'"'#128'a'#24'Z'#197#13#20'{'#0#231'%'#249'k'#199#233#17'='
    +  +#143#29#129#239'"'#30#141'%'#240'J'#152#247'''g'#162'}i'#218'x'#6#29#149#209
    +  +'EM'#160#203#159'gcS'#129'E/'#145'k'#21#206'Vk3-'#19'_'#162'/'#24'J}/'#211'^'
    +  +'s'#155',+'#255#228#3#253'U'#251#1'y'#252#227#144'9'#131'.='#0#0#0#0'IEND'
    +  +#174'B`'#130
     ]);
     LazarusResources.Add('dbnavdelete','PNG',[
       #137'PNG'#13#10#26#10#0#0#0#13'IHDR'#0#0#0#16#0#0#0#16#8#6#0#0#0#31#243#255'a'
    -  +#0#0#0#6'bKGD'#0#0#0#0#0#0#249'C'#187''#0#0#0#9'pHYs'#0#0#13#215#0#0#13#215
    -  +#1'B('#155'x'#0#0#0#7'tIME'#7#214#1#11#15';"'#0'\'#18#194#0#0#0#132'IDAT8'
    -  +#203#237#145#177#9#131'P'#16#134#191#7'i'#220#192':+'#232#8#25'#'#173'mF'#8
    -  +#25' '#11#136#173's'#196#5't'#136#212#182'"D'#243#238'O!'#202#179#179'3'#133
    -  +#31#28#28#7#255'w'#28#7#7#251#227#230'&'#205#202#26'H6'#230#154#186#184#166#0
    -  +#167'`'#152'<o'#23'F'#19#14#24#189'V'#9'i*'#7#220#243#215#178'('#20#208'}<'
    -  +#239#182'G'#2'3a'#130'~'#16#222#139#175#9'38'#199#209'J'#28#10#154'G^m>'#225
    -  +#248#254'?'#241#3#172'S-'#219'F'#228#128#216#0#0#0#0'IEND'#174'B`'#130
    +  +#0#0#1#250'IDATx'#156#165#146#207'KTQ'#20#199'?'#247#189#25'}39'#142#229#143
    +  +#137'4mL22'#29#208'MI'#138#20#180#200'('#218#181'i'#25'D'#251'6'#181'l'#211
    +  +#162#22#173#146#254#137' '#8','#218#8'9'#139#192#141'QF:'#144#208#216#232'0'
    +  +#131#243#244#189'y'#191#238#187'-'#134#9'^Za'#29'8'#156'{/'#231'~'#238#249
    +  +#222's'#132'R'#138#255#177'Xs'#241#248#213#170'XX*<'#210'5q'#230'Xg'#219'P'
    +  +#194#136'w'#197'u-'#21#132#161#176#29#223#180'l'#175'R'#170'Z'#5#219#11'>'
    +  +#158#29#204#220#127'v'#231'|'#16#1#188#206#175#204'?'#191'w'#237'r<'#14'5'#7
    +  +#170';'#14#229#237':[5'#11#203#242#186#28#207#239#202#157#214#134#7'zRW'#230
    +  +'^'#188'?'#7'L'#3'hM'#192'h'#182';'#151'NB'#221#5#215#13'p'#220#0#219#245#177
    +  +#235'>'#150#235#227#5#146#16#232#238'0'#200#13'eF'#246'HX'#251'VY'#249'R!'
    +  +#211#30#147'd'#218'u'#142'w'#28'"'#232'M'#18#202'#H%'#216'u'#3'6*6'#235#165
    +  +#26#203'k'#155#203'{'#0#147#163#253'3%S2'#247#161#142#22#250#136#208'%'#244
    +  +#28#204#29#147#154#185'Kq'#171'J'#241#251'&'#183'g'#199#185'8~b'#166'y'#239
    +  +#167#4#128#11#3':'#19'}:'#195'G'#13'z'#211':-1'#193#196#201#12#235#27'e'#174
    +  +'NM'#224#216'&'#215#167's'#251'w'#1'@'#134#16#132'`'#232' '#227':'#137#150#24
    +  +#29#169'V'#148'R'#24'F+ '#8#2#25#1'D*@4'#130#2#20#10#165#26#14#240#187'y'#137
    +  +#2#254'a'#166#180#191#167#28#4' '#14#14#136#253'z'#160'T'#195#247'3)'#229#30
    +  +#149#145#10#18'q'#232'Lj'#244#180#9'|'#217#232'H('#193'v}'#252'@2'#148#205
    +  +#146'ND'#223#20#205#223#189#249'dap'#172#255'p'#225#238#141'1'#182'mX.:l['#30
    +  +')CG'#211'4'#8'C'#178'=I'#222#228'?1'#191#244#245#212#219#135#179#171#17#0
    +  +#192#173#167#139#147'#}'#169#197'?i'#206#127'.O'#189'|p'#233']s'#255#3#205
    +  +#213#214#168#15#4'T'#208#0#0#0#0'IEND'#174'B`'#130
     ]);
     LazarusResources.Add('dbnavedit','PNG',[
       #137'PNG'#13#10#26#10#0#0#0#13'IHDR'#0#0#0#16#0#0#0#16#8#6#0#0#0#31#243#255'a'
    
    dbnav_images.diff (7,176 bytes)

Relationships

related to 0029359 closedBart Broersma The "new" glyphs for DBNavigator, added in r32029 seem to have disappeared. 

Activities

2011-06-27 13:27

 

dbnav_images.diff (7,176 bytes)
Index: lcl/lcl_dbnav_images.lrs
===================================================================
--- lcl/lcl_dbnav_images.lrs	(revision 31414)
+++ lcl/lcl_dbnav_images.lrs	(working copy)
@@ -1,41 +1,58 @@
 LazarusResources.Add('dbnavcancel','PNG',[
   #137'PNG'#13#10#26#10#0#0#0#13'IHDR'#0#0#0#16#0#0#0#16#8#6#0#0#0#31#243#255'a'
-  +#0#0#2'JIDATx^'#165#210'MKTa'#20#7#240's'#159';:w'#198'{G&'#7'!'#169#6#179
-  +#168'x'#22'!m'#138#202#156','#141#136'jg/j'#190'U4'#161#24'V&'#134'D'#139#214
-  +#173#164'E'#208#247#8'$'#130#136'VRp'#183'9'#166#142'3'#147#140#19#154#222
-  +#235'}^N'#15'w'#208'fj\D'#7#254#240#192#195#239#191'9GCD'#248#151#217#236#27
-  +#12#7#223#188#222#216#2#164#12'<z'#18'W'#161';'#226#222#1#138#204#187#189#209
-  +'y'#163'e'#187#160#12#235#250#28#18'b'#203#145'Q'#250#23#190#213'OA'#253#17
-  +#203'z)'#25'K'#174']'#190'z'#196'/('#197#16#12#2#24#6#128'*'#225#201#161#237
-  +#18#183#167#143#130#166#217#186'Y'#3#213#177#24'TE"'#157#210'c'#237#133#182
-  +'vR,@'#204#161#231'I'#228#28#180'P'#168'X'#2'`{'#253#131#212#237#238#165#154
-  +#194#196'2!`E'#192']X'#0'7'#147#17#210#243#166#162#211'o'#165#178#232'G'#12
-  +'?0'#248#253'a.'#30#142'!>'#129'|'#244'1'#186#253#131#232't'#247#162#151#28
-  +'B'#28#159#240#223#133#243#23#248'J'#162#205#216'r>'#222#10#187'{'#207#216#28
-  +#184#195#217#208#8#226#228'3'#196#137'I'#5#159'"'#142#141#163#211#213#131#133
-  +'s'#29'|'#165#245#172'Qb'#202#183#16'x5'#229'"c&'#203#231'%0'#1'07'#7#144'J'
-  +#1#8#1'n&+%'#243#204#232#187'i'#183#212#16#248'c$cM'#154#6#4#4#7'`'#12#128's'
-  +'?'#154'N'#136#244'X'#147#175'v*p'#174'wQ'#208#192#214'Ca'#133#20'nhP'#217
-  +#237#23#4'kkA'#15#232'v'#174#249#24#173'X'#176'q'#237#166#143#3#10'WY'#22'8K'
-  +'KP'#248#242'Y'#228'gf'#228#250#183'y0vE!'#24#141#170#146#128#189't'#152#210
-  +#178#2'uY'#254#170#138#184#6#156't'#26#220'lVH'#143#153#200'X'#205'z:-'#214
-  +'fS'#16#142#213'AH'#221'A'#160#186#202'^ll'#162#219#5#146#177'z'#148#2#0#165
-  +#194#25'prE\'#247#225#189#27#251#244#209'U'#255#230'OU'#178#250'u'#22#8'!'
-  +#160#169#160#16#245#138#254'^'#227#143#142#139#137#213'KW0'#223#210'*'#150'O'
-  +#156#242'WU'#154#244#193'C'#198#226#254#3#252#251#209'f'#156#223#27'OT'#188
-  +#131#252#233'3'#137#229#227'''}\)'#11#241'Fc~'#207#190'D'#169#209#20#132#255
-  +#153'_'#137'Uq'#156#16'Dt'#133#0#0#0#0'IEND'#174'B`'#130
+  +#0#0#0'+tEXtCreation Time'#0'Do 14 Nov 2002 23:31:44 +0100'#132'P'#28'H'#0#0
+  +#0#7'tIME'#7#211#2#27#0#20#11#28#218'I'#2#0#0#0#9'pHYs'#0#0#11#18#0#0#11#18#1
+  +#210#221'~'#252#0#0#0#4'gAMA'#0#0#177#143#11#252'a'#5#0#0#2'QIDATx'#218#197
+  +#147']H'#147'Q'#24#199#255#239#215't'#239#154#179#141#28#226#214#183'Ae'#144
+  +'+'#177'ODb'#221'xQ'#208#197#232#170#15#130#132#141#160'hQA'#226#133#23'EH'
+  +#24'HV'#212'E'#16'4'#187'1'#7#21'd'#133'BE0'#179'i'#243'+j'#189#174#218'r.7'
+  +#183#249#238#235'}'#223#206#6#14#140#168#155#162#7#14#156#231#156#231#255'{'
+  +#158#243#156's'#128#255'm'#212'ow'#173'O+ '#5#207'i+'#141#251'KXV?'#19#140
+  +#248'8'#181#186'7'#251#160#233#226#159#1#7#135#182'-3'#136'=mG'#182#27#179#12
+  +' '#196#128#151'!`t('#140'Y'#143#183#19'}VG>'#140#249#165#248#208'd'#205'j'
+  +#147#244#172#203#177#213#208';'#9#12'O'#3#129'8'#144'H'#3#244'R'#13'dVU'''#27
+  +#247#6#229#241#187#131'lApb'#172'e'#9'_R'#155#8'|'#180'A'#202'0'#218#178'h'
+  +#247#181#230':'#157'k'#4'`i'#146'u'#240']zJ'#152'yB'#201#20'_n'#174'j0l^'#203
+  +#196'<'#3'MDy'#163#0#216#189#146#186'`'#219#181#138'ut'#250#157'P8'#213#213
+  +#163'['#214#247#251#1'^'#5#244#186'='#129'x'#142#177#195#213#232'VHl'#194#214
+  +#127#146#211#234#218#213#166#21';E'#226#211'y'#192#183'DJX'#174#7'jk'#204#231
+  +'7l2'#157#210#241'4r$'#250#181'o*7'''#177#206't'#151#197#189'p'#186#172#171
+  +#225'J'#244'S'#192#195'i4'#250#188'_'#168#224'C8'#229#165'd'#172'9P_'#205'S'
+  +#138#132'a'#210',ER'#240'f"t_'#186'^'#239#250#185'ER26J'#151#232',X'#168#128
+  +#146'$op.'#7'5G'#230#20#131#170'2'#224#177#231'= &+'#152#230#193#30#216#253
+  +#135#23#1#178'x'#155#12'O'#127'.'#2'8'#182't'#246#161'/'#2#19#17'rt>;`'#183
+  +#174'C'#235#241#198'=m'#199','#251'6'#154#168'[pF'#202#138#4#154#22'e)5^'#4
+  +#136#230#238'N!N'#197'K'#201#165'rd$'#8'`^'#6'|B'#20'7'#221#227#226'DH'#188
+  +#131#203#134#185'"'#128'a'#24'Z'#197#13#20'{'#0#231'%'#249'k'#199#233#17'='
+  +#143#29#129#239'"'#30#141'%'#240'J'#152#247'''g'#162'}i'#218'x'#6#29#149#209
+  +'EM'#160#203#159'gcS'#129'E/'#145'k'#21#206'Vk3-'#19'_'#162'/'#24'J}/'#211'^'
+  +'s'#155',+'#255#228#3#253'U'#251#1'y'#252#227#144'9'#131'.='#0#0#0#0'IEND'
+  +#174'B`'#130
 ]);
 LazarusResources.Add('dbnavdelete','PNG',[
   #137'PNG'#13#10#26#10#0#0#0#13'IHDR'#0#0#0#16#0#0#0#16#8#6#0#0#0#31#243#255'a'
-  +#0#0#0#6'bKGD'#0#0#0#0#0#0#249'C'#187''#0#0#0#9'pHYs'#0#0#13#215#0#0#13#215
-  +#1'B('#155'x'#0#0#0#7'tIME'#7#214#1#11#15';"'#0'\'#18#194#0#0#0#132'IDAT8'
-  +#203#237#145#177#9#131'P'#16#134#191#7'i'#220#192':+'#232#8#25'#'#173'mF'#8
-  +#25' '#11#136#173's'#196#5't'#136#212#182'"D'#243#238'O!'#202#179#179'3'#133
-  +#31#28#28#7#255'w'#28#7#7#251#227#230'&'#205#202#26'H6'#230#154#186#184#166#0
-  +#167'`'#152'<o'#23'F'#19#14#24#189'V'#9'i*'#7#220#243#215#178'('#20#208'}<'
-  +#239#182'G'#2'3a'#130'~'#16#222#139#175#9'38'#199#209'J'#28#10#154'G^m>'#225
-  +#248#254'?'#241#3#172'S-'#219'F'#228#128#216#0#0#0#0'IEND'#174'B`'#130
+  +#0#0#1#250'IDATx'#156#165#146#207'KTQ'#20#199'?'#247#189#25'}39'#142#229#143
+  +#137'4mL22'#29#208'MI'#138#20#180#200'('#218#181'i'#25'D'#251'6'#181'l'#211
+  +#162#22#173#146#254#137' '#8','#218#8'9'#139#192#141'QF:'#144#208#216#232'0'
+  +#131#243#244#189'y'#191#238#187'-'#134#9'^Za'#29'8'#156'{/'#231'~'#238#249
+  +#222's'#132'R'#138#255#177'Xs'#241#248#213#170'XX*<'#210'5q'#230'Xg'#219'P'
+  +#194#136'w'#197'u-'#21#132#161#176#29#223#180'l'#175'R'#170'Z'#5#219#11'>'
+  +#158#29#204#220#127'v'#231'|'#16#1#188#206#175#204'?'#191'w'#237'r<'#14'5'#7
+  +#170';'#14#229#237':[5'#11#203#242#186#28#207#239#202#157#214#134#7'zRW'#230
+  +'^'#188'?'#7'L'#3'hM'#192'h'#182';'#151'NB'#221#5#215#13'p'#220#0#219#245#177
+  +#235'>'#150#235#227#5#146#16#232#238'0'#200#13'eF'#246'HX'#251'VY'#249'R!'
+  +#211#30#147'd'#218'u'#142'w'#28'"'#232'M'#18#202'#H%'#216'u'#3'6*6'#235#165
+  +#26#203'k'#155#203'{'#0#147#163#253'3%S2'#247#161#142#22#250#136#208'%'#244
+  +#28#204#29#147#154#185'Kq'#171'J'#241#251'&'#183'g'#199#185'8~b'#166'y'#239
+  +#167#4#128#11#3':'#19'}:'#195'G'#13'z'#211':-1'#193#196#201#12#235#27'e'#174
+  +'NM'#224#216'&'#215#167's'#251'w'#1'@'#134#16#132'`'#232' '#227':'#137#150#24
+  +#29#169'V'#148'R'#24'F+ '#8#2#25#1'D*@4'#130#2#20#10#165#26#14#240#187'y'#137
+  +#2#254'a'#166#180#191#167#28#4' '#14#14#136#253'z'#160'T'#195#247'3)'#229#30
+  +#149#145#10#18'q'#232'Lj'#244#180#9'|'#217#232'H('#193'v}'#252'@2'#148#205
+  +#146'ND'#223#20#205#223#189#249'dap'#172#255'p'#225#238#141'1'#182'mX.:l['#30
+  +')CG'#211'4'#8'C'#178'=I'#222#228'?1'#191#244#245#212#219#135#179#171#17#0
+  +#192#173#167#139#147'#}'#169#197'?i'#206#127'.O'#189'|p'#233']s'#255#3#205
+  +#213#214#168#15#4'T'#208#0#0#0#0'IEND'#174'B`'#130
 ]);
 LazarusResources.Add('dbnavedit','PNG',[
   #137'PNG'#13#10#26#10#0#0#0#13'IHDR'#0#0#0#16#0#0#0#16#8#6#0#0#0#31#243#255'a'
dbnav_images.diff (7,176 bytes)

Felipe Monteiro de Carvalho

2011-08-11 17:02

developer   ~0050717

Why did you assign the issue to yourself? Do you have commit rights?

Bart Broersma

2011-08-11 19:24

developer   ~0050722

Felipe:

Some time ago, when I received "developer" status in Mantis (for Lazarus), I asked Paul Ishenin how to behave myself regarding this.
I was told that I could assign issues to myself, if I was able to solve the problem, and unassign them if it turned out I couldn't.
I thus have assigned several issues to me in the past. Both issues reported by myself and issues reported by others.

Assigning the issue to me also indicates to other Mantis users that someone else alread has addressed the problem (or is going to).

If my patches don't get picked up in a reasonable time (and I have plenty of patience, I ask someone with commit rights to commit the patch).
(The issue at hand (and the patch) has been discussed on the mailinglist with either Vincent or Marco (don't remember clearly), so in this case I would notify one of them I guess.)

Finally, some degree of vanity also has to do with this.
Assigning a problem to myself (when I actually fix it) means I turn up in the Mantis statistics (The "summary" link on top of the page).

Recently I have seen that my fixes (issues assigned to me) were re-assigned to the one doing the commit, hence "doctoring" the statistics.

If you (and the other core-members) feel that I should not assign issues to myself, because I have no commit rights, then please let me know.
I'll stop assign isssues to myself then.
IMHO it would make sense then to either give all developers commit-rights, or demote all developers without commit-rights to the status of reporter.
(I admit, I would feel a bit sad if the latter happened though...)

I am not eager to achieve commit rights b.t.w. (It's yet another thing to learn, and I do not trust myself enough to not accidentally screw up things in the svn repository, thus giving you guys lots of repair work to do.)

Please also do not feel offende by my response. Let me assure you there is no offense intended. English is just not my native language, so nuances easily get lost in translation (or even worse: I may end up expressing myself completely wrong).

Bart Broersma

2011-08-21 11:50

developer   ~0050989

Reminder sent to: Felipe Monteiro de Carvalho

Felipe, would you be so kind as to respond to my respons to your question regarding me assigning issues to myself?

Felipe Monteiro de Carvalho

2011-08-21 14:25

developer   ~0050993

Thanks, applied in rev 32029

About the assigning, I think you should only assign issues to yourself in the following case:

* Someone reports a bug. You find the bug in the bug tracker and you decide to write a patch for it. So now you assign the issue to yourself to indicate that you are working on it, so work won't be duplicated. Once you finish writing the patch, then unassign the issue, and set the target to the next release.

Assigning issues in other cases will generate confusion, because I usually search for unassigned issues (aka issues which noone else is taking care of at the moment). If the issue is unassigned and targeted to the next release and has a patch, it is clear that one of the developers should assign himself to review the patch and apply it. If the issue is already assigned, then the patch might linger there for months, because it appears to be taken care of by someone.

About the statistics, I'd say that the only way for you to correctly participate in them would be having commit rights, because there are also statistics taken from svn.

Bart Broersma

2011-09-07 13:49

developer   ~0051557

Was fixed in 0.9.31 (wrongly stated 0.99.1)

Issue History

Date Modified Username Field Change
2011-06-27 13:27 Bart Broersma New Issue
2011-06-27 13:27 Bart Broersma File Added: dbnav_images.diff
2011-06-27 13:27 Bart Broersma LazTarget => -
2011-06-27 13:27 Bart Broersma Widgetset => GTK, GTK 2, Win32/Win64, WinCE, Carbon, Cocoa, QT, fpGUI
2011-06-27 13:28 Bart Broersma Status new => assigned
2011-06-27 13:28 Bart Broersma Assigned To => Bart Broersma
2011-08-11 17:02 Felipe Monteiro de Carvalho LazTarget - => 0.99.0
2011-08-11 17:02 Felipe Monteiro de Carvalho Note Added: 0050717
2011-08-11 17:02 Felipe Monteiro de Carvalho Status assigned => acknowledged
2011-08-11 19:24 Bart Broersma Note Added: 0050722
2011-08-21 11:50 Bart Broersma Note Added: 0050989
2011-08-21 14:20 Felipe Monteiro de Carvalho Status acknowledged => assigned
2011-08-21 14:20 Felipe Monteiro de Carvalho Assigned To Bart Broersma => Felipe Monteiro de Carvalho
2011-08-21 14:25 Felipe Monteiro de Carvalho Fixed in Revision => 32029
2011-08-21 14:25 Felipe Monteiro de Carvalho Status assigned => resolved
2011-08-21 14:25 Felipe Monteiro de Carvalho Fixed in Version => 0.99.1 (SVN)
2011-08-21 14:25 Felipe Monteiro de Carvalho Resolution open => fixed
2011-08-21 14:25 Felipe Monteiro de Carvalho Note Added: 0050993
2011-09-07 13:45 Bart Broersma Status resolved => closed
2011-09-07 13:48 Bart Broersma Status closed => assigned
2011-09-07 13:48 Bart Broersma Resolution fixed => reopened
2011-09-07 13:49 Bart Broersma Status assigned => resolved
2011-09-07 13:49 Bart Broersma Fixed in Version 0.99.1 (SVN) => 0.9.31 (SVN)
2011-09-07 13:49 Bart Broersma Resolution reopened => fixed
2011-09-07 13:49 Bart Broersma Note Added: 0051557
2011-09-07 13:49 Bart Broersma Status resolved => closed
2016-01-09 18:54 Bart Broersma Relationship added related to 0029359